Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::AlertListener Class Reference

Object that represents a callback attached to an alert. More...

`#include <alert_listener.hh>`

Inheritance diagram for linphone::AlertListener:

## Public Member Functions
virtual LINPHONECXX_PUBLIC void | onTerminated (const std::shared_ptr< linphone::Alert > &alert)
| Callback to know if an alert stops.

## Detailed Description

Object that represents a callback attached to an alert.

## Member Function Documentation

## ◆ onTerminated()

virtual LINPHONECXX_PUBLIC void linphone::AlertListener::onTerminated | ( | const std::shared_ptr< linphone::Alert > & | alert | ) |
| inline virtual

Callback to know if an alert stops.

Parameters

  alert | the alert that stops

The documentation for this class was generated from the following file:

- alert_listener.hh